import { createApp } from "vue";
import type { CreateAppFunction } from "vue";
import App from "./App.vue";

interface RenderProps {
  container?: HTMLElement;
}

let app: ReturnType<CreateAppFunction<unknown>>;

async function render(props: RenderProps = {}) {
  const { container } = props;
  app = createApp(App);
  app.mount(container ? container.querySelector("#app") ?? "#app" : "#app");
  return app;
}

render();
